
import groovy.xml.MarkupBuilder;

def filename = "06MODSFurtherAdditions5.csv";


File csvFile = new File(filename);
boolean notfirstline = false;
	csvFile.splitEachLine('@') {fields ->
		if(notfirstline){
			def writer = new StringWriter();
			def xml = new MarkupBuilder(writer)
			xml.mkp.xmlDeclaration(version:'1.0',encoding:'utf-8',standalone:'yes');
			xml.'mods:modsCollection'('xmlns:mods':'http://www.loc.gov/mods/v3',
					'xmlns:xlink':'http://www.w3.org/1999/xlink',
					'xmlns:xsi':'http://www.w3.org/2001/XMLSchema-instance',
					'xsi:schemaLocation':'http://www.loc.gov/mods/v3 http://www.loc.gov/standards/mods/v3/mods-3-4.xsd'){
				'mods:mods' {
					'mods:identifier'('type':'local',fields[0]){
					}
					if(fields[1]){//B
						'mods:identifier'('type':'local','displayLabel':'Canonical Catalog Number',fields[1]){
						}
					}
					if(fields[3]){//D
						'mods:titleInfo' {
							'mods:title'(fields[3]){
							}
						}
					}
					'mods:name'('type':'personal','authorityURI':'http://id.loc.gov/authorities/names','valueURI':'http://id.loc.gov/authorities/names/n9210908') {
						if(fields[5]){//F
							'mods:namePart'(fields[5]){
							}
						}
						'mods:role' {
							if(fields[7]){//H
								'mods:roleTerm'('type':'text',fields[7]){
								}
							}
						}
					}
					'mods:name' {
						if(fields[9]){//J
							'mods:namePart'(fields[9]){
							}
						}
						if(fields[11]){//L
							'mods:roleTerm'('type':'text',fields[11]){
							}
						}
					}
					if(fields[12]){//M
						'mods:genre'('authority':'aat',fields[12]){
						}
					}
					'mods:originInfo' {
						if(fields[14]){//O
							'mods:dateCreated'(fields[14]){
							}
						}
						if(fields[15]){//P
							'mods:dateCreated'('encoding':'iso8601',fields[15]){
							}
						}
						'mods:place' {
							if(fields[17]){//R
								'mods:placeTerm'(fields[17]){
								}
							}
						}
					}
					'mods:physicalDescription' {
						if(fields[19]){//T
							'mods:extent'(fields[19]){
							}
						}
						if(fields[20]){//U
							'mods:extent'(fields[20]){
							}
						}
						if(fields[21]){//V
							'mods:extent'(fields[21]){
							}
						}
						if(fields[22]){//W
							'mods:note'('type':'physical details',fields[22]){
							}
						}
					}
					if(fields[23]){//X
						'mods:note'('type':'ownership',fields[23]){
						}
					}
					if(fields[25]){//Z
						'mods:location' {
							'mods:shelfLocator'(fields[25]){
							}
						}
					}
					if(fields[26]){//AA
						'mods:note'(fields[26]){
						}
					}
					if(fields[27]){//AB
						'mods:identifier'('type':'local',fields[27]){
						}
					}
					if(fields[29]){//AD
						'mods:note'(fields[29]){
						}
					}
					if(fields[30]){//AE
						'mods:relatedItem'('type':'otherVersion'){
							'mods:note'(fields[30]){
							}
						}
					}
				}
			}
			new File('06out/'+fields[0]+'.xml') << writer.toString();
			//println writer.toString();
		}else{
			notfirstline = true;
		}
	}


